%global libname vterm

Summary:        An abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator
Name:           lib%{libname}
Version:        0.3
Release:        4%{?dist}
License:        MIT
URL:            http://www.leonerd.org.uk/code/libvterm
Source0:        %{url}/%{name}-%{version}.tar.gz

BuildRequires:  gcc make libtool

%description
An abstract C99 library which implements a VT220 or xterm-like terminal emulator.
It does not use any particular graphics toolkit or output system. Instead, it invokes
callback function pointers that its embedding program should provide it to draw on its behalf.

%package devel
Summary:        Development files needed for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
An abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator.

%package tools
Summary:        Tools for %{name}
Requires:       %{name} = %{version}-%{release}

%description tools
An abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
rm -vf %{buildroot}%{_libdir}/*.{a,la}

%check
%make_build test

%files
%license LICENSE
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/%{libname}.h
%{_includedir}/%{libname}_*.h
%{_libdir}/pkgconfig/%{libname}.pc

%files tools
%{_bindir}/unterm
%{_bindir}/%{libname}-ctrl
%{_bindir}/%{libname}-dump

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 0.3-1
- initial build
